Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pin isort to last minor version because jenkins failed buildouting #145

Merged
merged 1 commit into from Mar 7, 2019

Conversation

Projects
None yet
2 participants
@busykoala
Copy link
Contributor

busykoala commented Mar 7, 2019

Pinning isort to the last minor release solves this issue.

Problem:

Installing isort.
While:
  Installing isort.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/var/lib/jenkins/zope/eggs/zc.buildout-2.4.5-py2.7.egg/zc/buildout/buildout.py", line 1992, in main
    getattr(buildout, command)(args)
  File "/var/lib/jenkins/zope/eggs/zc.buildout-2.4.5-py2.7.egg/zc/buildout/buildout.py", line 666, in install
    installed_files = self[part]._call(recipe.install)
  File "/var/lib/jenkins/zope/eggs/zc.buildout-2.4.5-py2.7.egg/zc/buildout/buildout.py", line 1407, in _call
    return f()
  File "/var/lib/jenkins/zope/eggs/zc.recipe.egg-1.3.2-py2.7.egg/zc/recipe/egg/egg.py", line 145, in install
    reqs, ws = self.working_set()
  File "/var/lib/jenkins/zope/eggs/zc.recipe.egg-1.3.2-py2.7.egg/zc/recipe/egg/egg.py", line 101, in working_set
    **kw)
  File "/var/lib/jenkins/zope/eggs/zc.buildout-2.4.5-py2.7.egg/zc/buildout/easy_install.py", line 849, in install
    return installer.install(specs, working_set)
  File "/var/lib/jenkins/zope/eggs/zc.buildout-2.4.5-py2.7.egg/zc/buildout/easy_install.py", line 695, in install
    requirements.extend(dist.requires(req.extras)[::-1])
  File "/var/lib/jenkins/zope/eggs/setuptools-19.2-py2.7.egg/pkg_resources/__init__.py", line 2640, in requires
    dm = self._dep_map
  File "/var/lib/jenkins/zope/eggs/setuptools-19.2-py2.7.egg/pkg_resources/__init__.py", line 2635, in _dep_map
    dm.setdefault(extra,[]).extend(parse_requirements(reqs))
  File "/var/lib/jenkins/zope/eggs/setuptools-19.2-py2.7.egg/pkg_resources/__init__.py", line 2988, in parse_requirements
    "version spec")
  File "/var/lib/jenkins/zope/eggs/setuptools-19.2-py2.7.egg/pkg_resources/__init__.py", line 2953, in scan_list
    raise RequirementParseError(msg, line, "at", line[p:])
RequirementParseError: Expected version spec in futures; python_version < "3.2" at ; python_version < "3.2"
Attempt 1 of "bin/buildout -n -t 5" failed.
Jenkins couldn't buildout with an isort version >= 4.3.0.
Pinning it to the last minor release solves this issue.

@busykoala busykoala self-assigned this Mar 7, 2019

@busykoala busykoala requested a review from jone Mar 7, 2019

@busykoala busykoala changed the title Jenkins couldn't buildout with an isort version >= 4.3.0. Pin isort to last minor version because jenkins filed buildouting Mar 7, 2019

@busykoala busykoala changed the title Pin isort to last minor version because jenkins filed buildouting Pin isort to last minor version because jenkins failed buildouting Mar 7, 2019

@jone

jone approved these changes Mar 7, 2019

Copy link
Member

jone left a comment

👍 merci

@jone jone merged commit 5692184 into master Mar 7, 2019

1 check passed

CI Governor: default Task #372736 succeeded
Details

@jone jone deleted the mo/pin_isort branch Mar 7, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.